#8264 Unretirement request: Some Java Packages
Closed: Fixed 3 years ago by decathorpe. Opened 3 years ago by decathorpe.

  • Name of the package?

    apache-commons-el
    glassfish-jsp
    stax2-api
    jackson
    antlr3
    kohsuke-pom

  • FAS username of the new maintainer?

    decathorpe

  • Branches that you need it to be unretired for?

    master

  • Package re-review BZ URL?

Not necessary, packages were retired not even a week ago.

  • Any extra information?

I will add these packages to the Stewardship SIG. They were mistakenly retired because the weekly "Orphaned packages" report somehow missed them, but they are dependencies of still existing packages (checkstyle, netty, jetty, log4j, args4j, etc.).


@decathorpe

apache-commons-el
glassfish-jsp
stax2-api
jackson
antlr3
kohsuke-pom

packages are unretired for master.

Thanks for picking them up.

Metadata Update from @mohanboddu:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

3 years ago

It looks like at least some of the the packages weren't unretired completely.

For example, antlr3 BuildRequires itself, but it's not present in the rawhide buildroot anymore, so I can't build the package. CATCH 22 ...

Metadata Update from @decathorpe:
- Issue status updated to: Open (was: Closed)

3 years ago

To clarify:

I was able to rebuild

  • apache-commons-el
  • stax2-api
  • glassfish-jsp
  • kohsuke-pom

antlr3, stringtemplates4 can't be built because they depend on themselves, without bootstrap logic being in place - and since the packages are gone from the rawhide buildroot, I can't build them again.

Also, my stax2-api build from yesterday seems to be stuck in the f31-pending tag.

I seem to have fixed it by manually tagging the last builds into f31-pending again. Thanks, @churchyard for the tip!

Metadata Update from @decathorpe:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

3 years ago

Login to comment on this ticket.

Metadata